**ENUM**

# `ImageArea`

```swift
public enum ImageArea
```

## Cases
### `full`

```swift
case full
```

> The full image size.

### `bottom`

```swift
case bottom
```

> The last vertical third.

### `bottomCenter`

```swift
case bottomCenter
```

> The second horizontal third of the last vertical third.

### `bottomLeft`

```swift
case bottomLeft
```

> The first horizontal third of the last vertical third.

### `bottomRight`

```swift
case bottomRight
```

> The last horizontal third of the last vertical third.

### `center`

```swift
case center
```

> The second horizontal third of the second vertical third.

### `centerLeft`

```swift
case centerLeft
```

> The first horizontal third of the second vertical third.

### `centerRight`

```swift
case centerRight
```

> The last horizontal third of the second vertical third.

### `custom(rect:)`

```swift
case custom(rect: CGRect)
```

> A custom area of the image defined by a CGRect.

### `horizontalCenter`

```swift
case horizontalCenter
```

> The second vertical third.

### `left`

```swift
case left
```

> The first horizontal third.

### `right`

```swift
case right
```

> The last horizontal third.

### `top`

```swift
case top
```

> The first vertical third.

### `topCenter`

```swift
case topCenter
```

> The second horizontal third of the first vertical third.

### `topLeft`

```swift
case topLeft
```

> The first horizontal third of the first vertical third.

### `topRight`

```swift
case topRight
```

> The last horizontal third of the first vertical third.

### `verticalCenter`

```swift
case verticalCenter
```

> The second horizontal third.
